loggingevent.h File Reference

## Classes

class | LoggingEvent
| The internal representation of logging events. More...

## Namespaces

| log4cxx
| log4cxx::helpers
| We need to double some logic from LOG4CXX_PTR_DEF or else we are unable to override the comparison operator, which we need to properly fix LOGCXX-394.
| log4cxx::spi

## Functions

| LOG4CXX_LIST_DEF (KeySet, LogString)
| LOG4CXX_PTR_DEF (LoggingEvent)
| LOG4CXX_LIST_DEF (LoggingEventList, LoggingEventPtr)